Subject: Weekly github digest (HTTP Working Group Specifications)

From: Github Notifications <[email-masked]>
Date: Sun, 8 Jul 2018 00:45:23 +0000 (UTC)

Events without label "editorial"

Issues
------
* httpwg/http-extensions (+1/-1/💬8)
  1 issues created:
  - Handling Non-ASCII Content (by mnot)
    https://github.com/httpwg/http-extensions/issues/662 [header-structure] 

  2 issues received 8 new comments:
  - #607 [cache digests] Eliminate requirement that the digest size is a power of 2 (7 by kazuho, mnot, yoavweiss, LPardue)
    https://github.com/httpwg/http-extensions/issues/607 [cache-digest] 
  - #516 Remove ETag from the digest key calculations (1 by evert)
    https://github.com/httpwg/http-extensions/issues/516 [cache-digest] 

  1 issues closed:
  - Remove ETag from the digest key calculations https://github.com/httpwg/http-extensions/issues/516 [cache-digest] 

* httpwg/http-core (+7/-2/💬12)
  7 issues created:
  - Stale content (by mnot)
    https://github.com/httpwg/http-core/issues/122 [caching] 
  - Status codes and caching (by mnot)
    https://github.com/httpwg/http-core/issues/120 [caching] 
  - Include RFC 7694 (by reschke)
    https://github.com/httpwg/http-core/issues/119 
  - Defining Content-Length independently from its use in HTTP/1.1 framing (by royfielding)
    https://github.com/httpwg/http-core/issues/118 [semantics] 
  - Defining Trailer header field separately from chunked trailers (by royfielding)
    https://github.com/httpwg/http-core/issues/117 [semantics] 
  - Should Semantics assume that field values have been coalesced or just unfolded? (by royfielding)
    https://github.com/httpwg/http-core/issues/116 [semantics] 
  - What protocol contains when a major version doesn't define a minor version (by royfielding)
    https://github.com/httpwg/http-core/issues/115 [semantics] 

  10 issues received 12 new comments:
  - #120 Status codes and caching (3 by mnot, MikeBishop)
    https://github.com/httpwg/http-core/issues/120 [caching] 
  - #32 Duplicate header resolution in H1 (1 by mnot)
    https://github.com/httpwg/http-core/issues/32 [semantics] 
  - #97 Allow: response after authentication (1 by dilyanpalauzov)
    https://github.com/httpwg/http-core/issues/97 [semantics] 
  - #3 RFC 7231: Include definition of status code 308 (1 by mnot)
    https://github.com/httpwg/http-core/issues/3 [semantics] 
  - #45 Header normalization rules (1 by mnot)
    https://github.com/httpwg/http-core/issues/45 [semantics] 
  - #48 415 and Accept (1 by reschke)
    https://github.com/httpwg/http-core/issues/48 [discuss] [semantics] 
  - #17 caching (POST) requests with bodies (1 by mnot)
    https://github.com/httpwg/http-core/issues/17 [caching] 
  - #115 What protocol contains when a major version doesn't define a minor version (1 by mnot)
    https://github.com/httpwg/http-core/issues/115 [semantics] 
  - #116 Should Semantics assume that field values have been coalesced or just unfolded? (1 by mnot)
    https://github.com/httpwg/http-core/issues/116 [semantics] 
  - #117 Defining Trailer header field separately from chunked trailers (1 by mnot)
    https://github.com/httpwg/http-core/issues/117 [semantics] 

  2 issues closed:
  - Allow: response after authentication https://github.com/httpwg/http-core/issues/97 [semantics] 
  - RFC 7230: chunk-ext ABNF needs to allow more WS https://github.com/httpwg/http-core/issues/101 [erratum] [h1-messaging] 

Pull requests
-------------
* httpwg/http-extensions (+0/-3/💬2)
  2 pull requests received 2 new comments:
  - #503 move acks to the end and make them unnumbered (1 by kazuho)
    https://github.com/httpwg/http-extensions/pull/503 [cache-digest] 
  - #526 Add SETTINGS_ prefix to parameter names (1 by kazuho)
    https://github.com/httpwg/http-extensions/pull/526 [cache-digest] 

  3 pull requests merged:
  - Remove etag and validators
    https://github.com/httpwg/http-extensions/pull/517 [cache-digest] 
  - Add SETTINGS_ prefix to parameter names
    https://github.com/httpwg/http-extensions/pull/526 [cache-digest] 
  - move acks to the end and make them unnumbered
    https://github.com/httpwg/http-extensions/pull/503 [cache-digest] 

* httpwg/http-core (+1/-1/💬1)
  1 pull requests submitted:
  - include (Proxy-)Authentication-Info header field definitions from RFC 7615 (closes #9) (by reschke)
    https://github.com/httpwg/http-core/pull/121 

  1 pull requests received 1 new comments:
  - #107 Re-Introduce BWS in chunk-ext (closes #101) (1 by royfielding)
    https://github.com/httpwg/http-core/pull/107 [erratum] [h1-messaging] 

  1 pull requests merged:
  - Re-Introduce BWS in chunk-ext (closes #101)
    https://github.com/httpwg/http-core/pull/107 [erratum] [h1-messaging] 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/httpwg/http-extensions
* https://github.com/httpwg/http-core